Subject: Re: SV: B19: Console input problems
From: [email-masked] (Earnie Boyd)

12 Oct 1998 07:53:25 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked], Brad Olson <[email-masked]>,
        Anders Norlander <[email-masked]>

`SET CYGWIN32=tty' before starting bash will fix the keyboard input
problems when a read is issued from the script.  At least on NT, not
positive about anything with 95.

---Anders Norlander <[email-masked]> wrote:
>
> I think the problem in the keyboard input routine (in the cygwin
library)
> is that when reading keyboard events you get one event when a key
> is pressed and one event when the key is released. The problem seems
> to be that when ENTER/RETURN is pressed the input reading routine
> just reads the first event and forgets about the next (release) event
> which in turn is read by the next `read' in the script.
> The same problem occurred to me when I developed a software that
> read console input events at the low level.
> This problem also appears (at least to me) when I start a program
with bash
> that expects a line of input from the keyboard, an extra CR is read
by the program.
> That is quite annoying because you never get a chance to type
anything.
> 
> 
> Brad Olson wrote:
> 
> >I have noticed this same problem with scripts. Bash doesn't always
flush the input buffer
> >before reading and one gets CR "bounce." The 19.1 update of
cygwinb19.dll doesn't seem to help.
> >
> >Have your found any fixes?
> >
> >Thanks,
> >Brad
> >
> >> 1)  I have a configure script that does READs for user input. 
The first
> >> read works correctly, but the second does not even pause for
input. 
> >> It's as if the CR was not removed from the input buffer.  This
happens
> >> with or without TTY support.
> 
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-                \\||//
-----------o0O0--Earnie--0O0o------------
--        [email-masked]        --
-- http://freeyellow.com/members5/gw32 --
--------------ooo0O--O0ooo---------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".